#
# spec file for package zipios++
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define so_ver 0

Name:           zipios++
Version:        0.1.5.9+cvs.2007.04.28
Release:        3.2
License:        LGPL-2.1+
Summary:        C++ Library for Reading and Writing Zip Files
Url:            http://zipios.sourceforge.net/
Group:          System/Libraries
Source0:        %{name}-%{version}.tar.bz2
# PATCH-FIX-OPENSUSE zipios++-0.1.5.9-support-arches.patch
Patch0:         zipios++-0.1.5.9-support-arches.patch
# PATCH-FIX-OPENSUSE zipios++-0.1.5.9-fix-amd64.patch -- Fix for AMD64
Patch1:         zipios++-0.1.5.9-fix-amd64.patch
# PATCH-FIX-OPENSUSE zipios++-0.1.5.9-fix-gcc43.patch -- Fix for GCC 4.3
Patch2:         zipios++-0.1.5.9-fix-gcc43.patch
# PATCH-FIX-OPENSUSE ptrdiff.patch deb#625096 asterios.dramis@gmail.com -- Fix compilation error "error: 'ptrdiff_t' does not name a type" (taken from Debian)
Patch3:         ptrdiff.patch
BuildRequires:  ImageMagick
BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  libcppunit-devel
BuildRequires:  zlib-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Zipios++ is a java.util.zip-like C++ library for reading and writing Zip files.
Access to individual entries is provided through standard C++ iostreams. A
simple read-only virtual file system that mounts regular directories and zip
files is also provided.

%package devel
Summary:        Zipios++ Header Files
Group:          Development/Libraries/C and C++
Requires:       libzipios%{so_ver} = %{version}
Requires:       zlib-devel
# libzipios0-devel was last used at version 0.1.5.9+cvs.2007.04.28
Provides:       libzipios%{so_ver}-devel = %{version}
Obsoletes:      libzipios%{so_ver}-devel <= %{version}

%description devel
Header files and documentation for zipios++ development.

%package -n libzipios%{so_ver}
Summary:        C++ Library for Reading and Writing Zip Files
Group:          System/Libraries

%description -n libzipios%{so_ver}
Zipios++ is a java.util.zip-like C++ library for reading and writing Zip files.
Access to individual entries is provided through standard C++ iostreams. A
simple read-only virtual file system that mounts regular directories and zip
files is also provided.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

# Fix permissions
chmod 644 COPYING

%build
%configure --enable-static=no

make %{?_smp_mflags}
make doc

%install
make DESTDIR=%{buildroot} install

# Remove unneeded files
rm -f %{buildroot}%{_libdir}/libzipios.la

%post -n libzipios%{so_ver} -p /sbin/ldconfig

%postun -n libzipios%{so_ver} -p /sbin/ldconfig

%files devel
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%doc doc/html/
%{_includedir}/zipios++/
%{_libdir}/libzipios.so

%files -n libzipios%{so_ver}
%defattr(-,root,root,-)
%{_libdir}/libzipios.so.0*

%changelog
* Sun Dec  1 2013 johannesobermayr@gmx.de
- Sync with KDE:Extra
* Fri Aug 17 2012 seife+obs@b1-systems.com
- fix build with gcc 4.6/4.7 (12.1+)
* Tue Mar 20 2012 asterios.dramis@gmail.com
- Added a patch (ptrdiff.patch) to fix compilation error "error: 'ptrdiff_t'
  does not name a type" (taken from Debian).
- Spec file updates:
  * Renamed spec file from libzipios0 to zipios++ (to be the same as the
    package name).
  * Renamed libzipios0-devel to zipios++-devel and added the necessary
    Provides/Obsoletes entries for libzipios0-devel.
  * Changes based on spec-cleaner run.
  * Changed License: to LGPL-2.1+.
  * Disabled compilation of static library.
* Sat Jan 28 2012 jengelh@medozas.de
- Remove redundant tags/sections per specfile guideline suggestions
* Sun May  8 2011 andrea@links2linux.de
- New Package
